package nckd.jxccl.sit.hcsi.formplugin.web.tp.enums;

import nckd.jxccl.sit.hcsi.common.constant.model.SITI18NParam;

import java.util.HashMap;
import java.util.Map;

public enum SinsurPresetItemEnum {
    EMP_IDCARD("A", 1L, new SITI18NParam("证件号码", "PresetItemEnum_6", "swc-hsas-common"), 1030L, new SITI18NParam("必填项，用于确认社保人员", "PresetItemEnum_15", "swc-hsas-common"), new SITI18NParam("证件号码", "PresetItemEnum_6", "swc-hsas-common"), true),
    EMP_NAME("B", 2L, new SITI18NParam("姓名", "PresetItemEnum_6", "swc-hsas-common"), 1030L, new SITI18NParam("非必填项", "PresetItemEnum_15", "swc-hsas-common"), new SITI18NParam("姓名", "PresetItemEnum_6", "swc-hsas-common"), false);

    private String matchColumn;
    private Long itemId;
    private SITI18NParam itemName;
    private Long dataTypeId;
    private SITI18NParam comment;
    private SITI18NParam importColumnName;
    private boolean isRequire;

    private SinsurPresetItemEnum(String matchColumn, Long itemId, SITI18NParam itemName, Long dataTypeId, SITI18NParam comment, SITI18NParam importColumnName, boolean isRequire) {
        this.matchColumn = matchColumn;
        this.itemId = itemId;
        this.itemName = itemName;
        this.dataTypeId = dataTypeId;
        this.comment = comment;
        this.importColumnName = importColumnName;
        this.isRequire = isRequire;
    }

    public String getMatchColumn() {
        return this.matchColumn;
    }

    public Long getItemId() {
        return this.itemId;
    }

    public String getItemName() {
        return this.itemName.loadKDString();
    }

    public SITI18NParam getComment() {
        return this.comment;
    }

    public Long getDataTypeId() {
        return this.dataTypeId;
    }

    public String getImportColumnName() {
        return this.importColumnName.loadKDString();
    }

    public boolean isRequire() {
        return this.isRequire;
    }

    public static Map<Long, SinsurPresetItemEnum> getSinsurPresetItemEnumMap() {
        Map<Long, SinsurPresetItemEnum> map = new HashMap(16);
        SinsurPresetItemEnum[] values = values();
        int count = values.length;

        for(int i = 0; i < count; ++i) {
            SinsurPresetItemEnum obj = values[i];
            map.put(obj.getItemId(), obj);
        }
        return map;
    }

}
